Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.89.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
255.89.64.0
Broadcast address
255.89.127.255
First usable
255.89.64.1
Last usable
255.89.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF594000 · Integer 4284039168 to 4284055551
Reverse DNS zones
64.89.255.in-addr.arpa
65.89.255.in-addr.arpa
66.89.255.in-addr.arpa
67.89.255.in-addr.arpa
68.89.255.in-addr.arpa
69.89.255.in-addr.arpa
70.89.255.in-addr.arpa
71.89.255.in-addr.arpa
72.89.255.in-addr.arpa
73.89.255.in-addr.arpa
74.89.255.in-addr.arpa
75.89.255.in-addr.arpa
76.89.255.in-addr.arpa
77.89.255.in-addr.arpa
78.89.255.in-addr.arpa
79.89.255.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111.01011001.01000000.00000000255.89.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11111111.01011001.01000000.00000000255.89.64.0
Broadcast11111111.01011001.01111111.11111111255.89.127.255
Split into smaller subnets/27

255.89.64.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.89.64.0/27255.89.64.1 to 255.89.64.30255.89.64.3130
2255.89.64.32/27255.89.64.33 to 255.89.64.62255.89.64.6330
3255.89.64.64/27255.89.64.65 to 255.89.64.94255.89.64.9530
4255.89.64.96/27255.89.64.97 to 255.89.64.126255.89.64.12730
5255.89.64.128/27255.89.64.129 to 255.89.64.158255.89.64.15930
6255.89.64.160/27255.89.64.161 to 255.89.64.190255.89.64.19130
7255.89.64.192/27255.89.64.193 to 255.89.64.222255.89.64.22330
8255.89.64.224/27255.89.64.225 to 255.89.64.254255.89.64.25530
9255.89.65.0/27255.89.65.1 to 255.89.65.30255.89.65.3130
10255.89.65.32/27255.89.65.33 to 255.89.65.62255.89.65.6330
11255.89.65.64/27255.89.65.65 to 255.89.65.94255.89.65.9530
12255.89.65.96/27255.89.65.97 to 255.89.65.126255.89.65.12730
13255.89.65.128/27255.89.65.129 to 255.89.65.158255.89.65.15930
14255.89.65.160/27255.89.65.161 to 255.89.65.190255.89.65.19130
15255.89.65.192/27255.89.65.193 to 255.89.65.222255.89.65.22330
16255.89.65.224/27255.89.65.225 to 255.89.65.254255.89.65.25530
17255.89.66.0/27255.89.66.1 to 255.89.66.30255.89.66.3130
18255.89.66.32/27255.89.66.33 to 255.89.66.62255.89.66.6330
19255.89.66.64/27255.89.66.65 to 255.89.66.94255.89.66.9530
20255.89.66.96/27255.89.66.97 to 255.89.66.126255.89.66.12730
21255.89.66.128/27255.89.66.129 to 255.89.66.158255.89.66.15930
22255.89.66.160/27255.89.66.161 to 255.89.66.190255.89.66.19130
23255.89.66.192/27255.89.66.193 to 255.89.66.222255.89.66.22330
24255.89.66.224/27255.89.66.225 to 255.89.66.254255.89.66.25530
25255.89.67.0/27255.89.67.1 to 255.89.67.30255.89.67.3130
26255.89.67.32/27255.89.67.33 to 255.89.67.62255.89.67.6330
27255.89.67.64/27255.89.67.65 to 255.89.67.94255.89.67.9530
28255.89.67.96/27255.89.67.97 to 255.89.67.126255.89.67.12730
29255.89.67.128/27255.89.67.129 to 255.89.67.158255.89.67.15930
30255.89.67.160/27255.89.67.161 to 255.89.67.190255.89.67.19130
31255.89.67.192/27255.89.67.193 to 255.89.67.222255.89.67.22330
32255.89.67.224/27255.89.67.225 to 255.89.67.254255.89.67.25530
33255.89.68.0/27255.89.68.1 to 255.89.68.30255.89.68.3130
34255.89.68.32/27255.89.68.33 to 255.89.68.62255.89.68.6330
35255.89.68.64/27255.89.68.65 to 255.89.68.94255.89.68.9530
36255.89.68.96/27255.89.68.97 to 255.89.68.126255.89.68.12730
37255.89.68.128/27255.89.68.129 to 255.89.68.158255.89.68.15930
38255.89.68.160/27255.89.68.161 to 255.89.68.190255.89.68.19130
39255.89.68.192/27255.89.68.193 to 255.89.68.222255.89.68.22330
40255.89.68.224/27255.89.68.225 to 255.89.68.254255.89.68.25530
41255.89.69.0/27255.89.69.1 to 255.89.69.30255.89.69.3130
42255.89.69.32/27255.89.69.33 to 255.89.69.62255.89.69.6330
43255.89.69.64/27255.89.69.65 to 255.89.69.94255.89.69.9530
44255.89.69.96/27255.89.69.97 to 255.89.69.126255.89.69.12730
45255.89.69.128/27255.89.69.129 to 255.89.69.158255.89.69.15930
46255.89.69.160/27255.89.69.161 to 255.89.69.190255.89.69.19130
47255.89.69.192/27255.89.69.193 to 255.89.69.222255.89.69.22330
48255.89.69.224/27255.89.69.225 to 255.89.69.254255.89.69.25530
49255.89.70.0/27255.89.70.1 to 255.89.70.30255.89.70.3130
50255.89.70.32/27255.89.70.33 to 255.89.70.62255.89.70.6330
51255.89.70.64/27255.89.70.65 to 255.89.70.94255.89.70.9530
52255.89.70.96/27255.89.70.97 to 255.89.70.126255.89.70.12730
53255.89.70.128/27255.89.70.129 to 255.89.70.158255.89.70.15930
54255.89.70.160/27255.89.70.161 to 255.89.70.190255.89.70.19130
55255.89.70.192/27255.89.70.193 to 255.89.70.222255.89.70.22330
56255.89.70.224/27255.89.70.225 to 255.89.70.254255.89.70.25530
57255.89.71.0/27255.89.71.1 to 255.89.71.30255.89.71.3130
58255.89.71.32/27255.89.71.33 to 255.89.71.62255.89.71.6330
59255.89.71.64/27255.89.71.65 to 255.89.71.94255.89.71.9530
60255.89.71.96/27255.89.71.97 to 255.89.71.126255.89.71.12730
61255.89.71.128/27255.89.71.129 to 255.89.71.158255.89.71.15930
62255.89.71.160/27255.89.71.161 to 255.89.71.190255.89.71.19130
63255.89.71.192/27255.89.71.193 to 255.89.71.222255.89.71.22330
64255.89.71.224/27255.89.71.225 to 255.89.71.254255.89.71.25530
65255.89.72.0/27255.89.72.1 to 255.89.72.30255.89.72.3130
66255.89.72.32/27255.89.72.33 to 255.89.72.62255.89.72.6330
67255.89.72.64/27255.89.72.65 to 255.89.72.94255.89.72.9530
68255.89.72.96/27255.89.72.97 to 255.89.72.126255.89.72.12730
69255.89.72.128/27255.89.72.129 to 255.89.72.158255.89.72.15930
70255.89.72.160/27255.89.72.161 to 255.89.72.190255.89.72.19130
71255.89.72.192/27255.89.72.193 to 255.89.72.222255.89.72.22330
72255.89.72.224/27255.89.72.225 to 255.89.72.254255.89.72.25530
73255.89.73.0/27255.89.73.1 to 255.89.73.30255.89.73.3130
74255.89.73.32/27255.89.73.33 to 255.89.73.62255.89.73.6330
75255.89.73.64/27255.89.73.65 to 255.89.73.94255.89.73.9530
76255.89.73.96/27255.89.73.97 to 255.89.73.126255.89.73.12730
77255.89.73.128/27255.89.73.129 to 255.89.73.158255.89.73.15930
78255.89.73.160/27255.89.73.161 to 255.89.73.190255.89.73.19130
79255.89.73.192/27255.89.73.193 to 255.89.73.222255.89.73.22330
80255.89.73.224/27255.89.73.225 to 255.89.73.254255.89.73.25530
81255.89.74.0/27255.89.74.1 to 255.89.74.30255.89.74.3130
82255.89.74.32/27255.89.74.33 to 255.89.74.62255.89.74.6330
83255.89.74.64/27255.89.74.65 to 255.89.74.94255.89.74.9530
84255.89.74.96/27255.89.74.97 to 255.89.74.126255.89.74.12730
85255.89.74.128/27255.89.74.129 to 255.89.74.158255.89.74.15930
86255.89.74.160/27255.89.74.161 to 255.89.74.190255.89.74.19130
87255.89.74.192/27255.89.74.193 to 255.89.74.222255.89.74.22330
88255.89.74.224/27255.89.74.225 to 255.89.74.254255.89.74.25530
89255.89.75.0/27255.89.75.1 to 255.89.75.30255.89.75.3130
90255.89.75.32/27255.89.75.33 to 255.89.75.62255.89.75.6330
91255.89.75.64/27255.89.75.65 to 255.89.75.94255.89.75.9530
92255.89.75.96/27255.89.75.97 to 255.89.75.126255.89.75.12730
93255.89.75.128/27255.89.75.129 to 255.89.75.158255.89.75.15930
94255.89.75.160/27255.89.75.161 to 255.89.75.190255.89.75.19130
95255.89.75.192/27255.89.75.193 to 255.89.75.222255.89.75.22330
96255.89.75.224/27255.89.75.225 to 255.89.75.254255.89.75.25530
97255.89.76.0/27255.89.76.1 to 255.89.76.30255.89.76.3130
98255.89.76.32/27255.89.76.33 to 255.89.76.62255.89.76.6330
99255.89.76.64/27255.89.76.65 to 255.89.76.94255.89.76.9530
100255.89.76.96/27255.89.76.97 to 255.89.76.126255.89.76.12730
101255.89.76.128/27255.89.76.129 to 255.89.76.158255.89.76.15930
102255.89.76.160/27255.89.76.161 to 255.89.76.190255.89.76.19130
103255.89.76.192/27255.89.76.193 to 255.89.76.222255.89.76.22330
104255.89.76.224/27255.89.76.225 to 255.89.76.254255.89.76.25530
105255.89.77.0/27255.89.77.1 to 255.89.77.30255.89.77.3130
106255.89.77.32/27255.89.77.33 to 255.89.77.62255.89.77.6330
107255.89.77.64/27255.89.77.65 to 255.89.77.94255.89.77.9530
108255.89.77.96/27255.89.77.97 to 255.89.77.126255.89.77.12730
109255.89.77.128/27255.89.77.129 to 255.89.77.158255.89.77.15930
110255.89.77.160/27255.89.77.161 to 255.89.77.190255.89.77.19130
111255.89.77.192/27255.89.77.193 to 255.89.77.222255.89.77.22330
112255.89.77.224/27255.89.77.225 to 255.89.77.254255.89.77.25530
113255.89.78.0/27255.89.78.1 to 255.89.78.30255.89.78.3130
114255.89.78.32/27255.89.78.33 to 255.89.78.62255.89.78.6330
115255.89.78.64/27255.89.78.65 to 255.89.78.94255.89.78.9530
116255.89.78.96/27255.89.78.97 to 255.89.78.126255.89.78.12730
117255.89.78.128/27255.89.78.129 to 255.89.78.158255.89.78.15930
118255.89.78.160/27255.89.78.161 to 255.89.78.190255.89.78.19130
119255.89.78.192/27255.89.78.193 to 255.89.78.222255.89.78.22330
120255.89.78.224/27255.89.78.225 to 255.89.78.254255.89.78.25530
121255.89.79.0/27255.89.79.1 to 255.89.79.30255.89.79.3130
122255.89.79.32/27255.89.79.33 to 255.89.79.62255.89.79.6330
123255.89.79.64/27255.89.79.65 to 255.89.79.94255.89.79.9530
124255.89.79.96/27255.89.79.97 to 255.89.79.126255.89.79.12730
125255.89.79.128/27255.89.79.129 to 255.89.79.158255.89.79.15930
126255.89.79.160/27255.89.79.161 to 255.89.79.190255.89.79.19130
127255.89.79.192/27255.89.79.193 to 255.89.79.222255.89.79.22330
128255.89.79.224/27255.89.79.225 to 255.89.79.254255.89.79.25530
129255.89.80.0/27255.89.80.1 to 255.89.80.30255.89.80.3130
130255.89.80.32/27255.89.80.33 to 255.89.80.62255.89.80.6330
131255.89.80.64/27255.89.80.65 to 255.89.80.94255.89.80.9530
132255.89.80.96/27255.89.80.97 to 255.89.80.126255.89.80.12730
133255.89.80.128/27255.89.80.129 to 255.89.80.158255.89.80.15930
134255.89.80.160/27255.89.80.161 to 255.89.80.190255.89.80.19130
135255.89.80.192/27255.89.80.193 to 255.89.80.222255.89.80.22330
136255.89.80.224/27255.89.80.225 to 255.89.80.254255.89.80.25530
137255.89.81.0/27255.89.81.1 to 255.89.81.30255.89.81.3130
138255.89.81.32/27255.89.81.33 to 255.89.81.62255.89.81.6330
139255.89.81.64/27255.89.81.65 to 255.89.81.94255.89.81.9530
140255.89.81.96/27255.89.81.97 to 255.89.81.126255.89.81.12730
141255.89.81.128/27255.89.81.129 to 255.89.81.158255.89.81.15930
142255.89.81.160/27255.89.81.161 to 255.89.81.190255.89.81.19130
143255.89.81.192/27255.89.81.193 to 255.89.81.222255.89.81.22330
144255.89.81.224/27255.89.81.225 to 255.89.81.254255.89.81.25530
145255.89.82.0/27255.89.82.1 to 255.89.82.30255.89.82.3130
146255.89.82.32/27255.89.82.33 to 255.89.82.62255.89.82.6330
147255.89.82.64/27255.89.82.65 to 255.89.82.94255.89.82.9530
148255.89.82.96/27255.89.82.97 to 255.89.82.126255.89.82.12730
149255.89.82.128/27255.89.82.129 to 255.89.82.158255.89.82.15930
150255.89.82.160/27255.89.82.161 to 255.89.82.190255.89.82.19130
151255.89.82.192/27255.89.82.193 to 255.89.82.222255.89.82.22330
152255.89.82.224/27255.89.82.225 to 255.89.82.254255.89.82.25530
153255.89.83.0/27255.89.83.1 to 255.89.83.30255.89.83.3130
154255.89.83.32/27255.89.83.33 to 255.89.83.62255.89.83.6330
155255.89.83.64/27255.89.83.65 to 255.89.83.94255.89.83.9530
156255.89.83.96/27255.89.83.97 to 255.89.83.126255.89.83.12730
157255.89.83.128/27255.89.83.129 to 255.89.83.158255.89.83.15930
158255.89.83.160/27255.89.83.161 to 255.89.83.190255.89.83.19130
159255.89.83.192/27255.89.83.193 to 255.89.83.222255.89.83.22330
160255.89.83.224/27255.89.83.225 to 255.89.83.254255.89.83.25530
161255.89.84.0/27255.89.84.1 to 255.89.84.30255.89.84.3130
162255.89.84.32/27255.89.84.33 to 255.89.84.62255.89.84.6330
163255.89.84.64/27255.89.84.65 to 255.89.84.94255.89.84.9530
164255.89.84.96/27255.89.84.97 to 255.89.84.126255.89.84.12730
165255.89.84.128/27255.89.84.129 to 255.89.84.158255.89.84.15930
166255.89.84.160/27255.89.84.161 to 255.89.84.190255.89.84.19130
167255.89.84.192/27255.89.84.193 to 255.89.84.222255.89.84.22330
168255.89.84.224/27255.89.84.225 to 255.89.84.254255.89.84.25530
169255.89.85.0/27255.89.85.1 to 255.89.85.30255.89.85.3130
170255.89.85.32/27255.89.85.33 to 255.89.85.62255.89.85.6330
171255.89.85.64/27255.89.85.65 to 255.89.85.94255.89.85.9530
172255.89.85.96/27255.89.85.97 to 255.89.85.126255.89.85.12730
173255.89.85.128/27255.89.85.129 to 255.89.85.158255.89.85.15930
174255.89.85.160/27255.89.85.161 to 255.89.85.190255.89.85.19130
175255.89.85.192/27255.89.85.193 to 255.89.85.222255.89.85.22330
176255.89.85.224/27255.89.85.225 to 255.89.85.254255.89.85.25530
177255.89.86.0/27255.89.86.1 to 255.89.86.30255.89.86.3130
178255.89.86.32/27255.89.86.33 to 255.89.86.62255.89.86.6330
179255.89.86.64/27255.89.86.65 to 255.89.86.94255.89.86.9530
180255.89.86.96/27255.89.86.97 to 255.89.86.126255.89.86.12730
181255.89.86.128/27255.89.86.129 to 255.89.86.158255.89.86.15930
182255.89.86.160/27255.89.86.161 to 255.89.86.190255.89.86.19130
183255.89.86.192/27255.89.86.193 to 255.89.86.222255.89.86.22330
184255.89.86.224/27255.89.86.225 to 255.89.86.254255.89.86.25530
185255.89.87.0/27255.89.87.1 to 255.89.87.30255.89.87.3130
186255.89.87.32/27255.89.87.33 to 255.89.87.62255.89.87.6330
187255.89.87.64/27255.89.87.65 to 255.89.87.94255.89.87.9530
188255.89.87.96/27255.89.87.97 to 255.89.87.126255.89.87.12730
189255.89.87.128/27255.89.87.129 to 255.89.87.158255.89.87.15930
190255.89.87.160/27255.89.87.161 to 255.89.87.190255.89.87.19130
191255.89.87.192/27255.89.87.193 to 255.89.87.222255.89.87.22330
192255.89.87.224/27255.89.87.225 to 255.89.87.254255.89.87.25530
193255.89.88.0/27255.89.88.1 to 255.89.88.30255.89.88.3130
194255.89.88.32/27255.89.88.33 to 255.89.88.62255.89.88.6330
195255.89.88.64/27255.89.88.65 to 255.89.88.94255.89.88.9530
196255.89.88.96/27255.89.88.97 to 255.89.88.126255.89.88.12730
197255.89.88.128/27255.89.88.129 to 255.89.88.158255.89.88.15930
198255.89.88.160/27255.89.88.161 to 255.89.88.190255.89.88.19130
199255.89.88.192/27255.89.88.193 to 255.89.88.222255.89.88.22330
200255.89.88.224/27255.89.88.225 to 255.89.88.254255.89.88.25530
201255.89.89.0/27255.89.89.1 to 255.89.89.30255.89.89.3130
202255.89.89.32/27255.89.89.33 to 255.89.89.62255.89.89.6330
203255.89.89.64/27255.89.89.65 to 255.89.89.94255.89.89.9530
204255.89.89.96/27255.89.89.97 to 255.89.89.126255.89.89.12730
205255.89.89.128/27255.89.89.129 to 255.89.89.158255.89.89.15930
206255.89.89.160/27255.89.89.161 to 255.89.89.190255.89.89.19130
207255.89.89.192/27255.89.89.193 to 255.89.89.222255.89.89.22330
208255.89.89.224/27255.89.89.225 to 255.89.89.254255.89.89.25530
209255.89.90.0/27255.89.90.1 to 255.89.90.30255.89.90.3130
210255.89.90.32/27255.89.90.33 to 255.89.90.62255.89.90.6330
211255.89.90.64/27255.89.90.65 to 255.89.90.94255.89.90.9530
212255.89.90.96/27255.89.90.97 to 255.89.90.126255.89.90.12730
213255.89.90.128/27255.89.90.129 to 255.89.90.158255.89.90.15930
214255.89.90.160/27255.89.90.161 to 255.89.90.190255.89.90.19130
215255.89.90.192/27255.89.90.193 to 255.89.90.222255.89.90.22330
216255.89.90.224/27255.89.90.225 to 255.89.90.254255.89.90.25530
217255.89.91.0/27255.89.91.1 to 255.89.91.30255.89.91.3130
218255.89.91.32/27255.89.91.33 to 255.89.91.62255.89.91.6330
219255.89.91.64/27255.89.91.65 to 255.89.91.94255.89.91.9530
220255.89.91.96/27255.89.91.97 to 255.89.91.126255.89.91.12730
221255.89.91.128/27255.89.91.129 to 255.89.91.158255.89.91.15930
222255.89.91.160/27255.89.91.161 to 255.89.91.190255.89.91.19130
223255.89.91.192/27255.89.91.193 to 255.89.91.222255.89.91.22330
224255.89.91.224/27255.89.91.225 to 255.89.91.254255.89.91.25530
225255.89.92.0/27255.89.92.1 to 255.89.92.30255.89.92.3130
226255.89.92.32/27255.89.92.33 to 255.89.92.62255.89.92.6330
227255.89.92.64/27255.89.92.65 to 255.89.92.94255.89.92.9530
228255.89.92.96/27255.89.92.97 to 255.89.92.126255.89.92.12730
229255.89.92.128/27255.89.92.129 to 255.89.92.158255.89.92.15930
230255.89.92.160/27255.89.92.161 to 255.89.92.190255.89.92.19130
231255.89.92.192/27255.89.92.193 to 255.89.92.222255.89.92.22330
232255.89.92.224/27255.89.92.225 to 255.89.92.254255.89.92.25530
233255.89.93.0/27255.89.93.1 to 255.89.93.30255.89.93.3130
234255.89.93.32/27255.89.93.33 to 255.89.93.62255.89.93.6330
235255.89.93.64/27255.89.93.65 to 255.89.93.94255.89.93.9530
236255.89.93.96/27255.89.93.97 to 255.89.93.126255.89.93.12730
237255.89.93.128/27255.89.93.129 to 255.89.93.158255.89.93.15930
238255.89.93.160/27255.89.93.161 to 255.89.93.190255.89.93.19130
239255.89.93.192/27255.89.93.193 to 255.89.93.222255.89.93.22330
240255.89.93.224/27255.89.93.225 to 255.89.93.254255.89.93.25530
241255.89.94.0/27255.89.94.1 to 255.89.94.30255.89.94.3130
242255.89.94.32/27255.89.94.33 to 255.89.94.62255.89.94.6330
243255.89.94.64/27255.89.94.65 to 255.89.94.94255.89.94.9530
244255.89.94.96/27255.89.94.97 to 255.89.94.126255.89.94.12730
245255.89.94.128/27255.89.94.129 to 255.89.94.158255.89.94.15930
246255.89.94.160/27255.89.94.161 to 255.89.94.190255.89.94.19130
247255.89.94.192/27255.89.94.193 to 255.89.94.222255.89.94.22330
248255.89.94.224/27255.89.94.225 to 255.89.94.254255.89.94.25530
249255.89.95.0/27255.89.95.1 to 255.89.95.30255.89.95.3130
250255.89.95.32/27255.89.95.33 to 255.89.95.62255.89.95.6330
251255.89.95.64/27255.89.95.65 to 255.89.95.94255.89.95.9530
252255.89.95.96/27255.89.95.97 to 255.89.95.126255.89.95.12730
253255.89.95.128/27255.89.95.129 to 255.89.95.158255.89.95.15930
254255.89.95.160/27255.89.95.161 to 255.89.95.190255.89.95.19130
255255.89.95.192/27255.89.95.193 to 255.89.95.222255.89.95.22330
256255.89.95.224/27255.89.95.225 to 255.89.95.254255.89.95.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses